utl::array_traits< _Tp, 0 > Struct Template Reference

`#include <array.h>`

## Classes

struct | type

## Static Public Member Functions

static constexpr _Tp & | Ref (const type &, size_t) noexcept
static constexpr _Tp * | Ptr (const type &) noexcept

## Detailed Description

### template<typename _Tp>
struct utl::array_traits< _Tp, 0 >

Definition at line 49 of file array.h.

## Member Function Documentation

## Ptr()

template<typename _Tp >

static constexpr _Tp* utl::array_traits< _Tp, 0 >::Ptr | ( | const type & |  | ) |

inlinestaticnoexcept

Definition at line 56 of file array.h.

## Ref()

template<typename _Tp >

static constexpr _Tp& utl::array_traits< _Tp, 0 >::Ref | ( | const type & | ,
|  | size_t |
| ) |  |

inlinestaticnoexcept

Definition at line 52 of file array.h.

The documentation for this struct was generated from the following file:

- include/utl/container/array.h